import Vue from 'vue';
import Vuex from 'vuex';
import login from './storeCommon/login';
import marketproduct from './storeCommon/market/marketproduct';
import expertsuser from './storeCommon/market/exportuser';
import maarkettype from './storeCommon/market/markettype';
import productpact from './storeCommon/market/productpact';
import authUser from './user/auth-user';
import dock from './storeCommon/live/dock';
import wxchattest from './user/wxchattest';
import market from './storeCommon/market/market';
import apply from './storeCommon/live/apply';
import transaction from './storeCommon/market/transaction';
import expertsaudit from './storeCommon/market/expertsaudit';
import exportuser from './storeCommon/market/exportuser';
import user from './user';
import place from './place';
import onliveUser from './onlive/user';
import gensign from './onlive/gensign';
import room from './onlive/room';
import quest from './onlive/quest';
import chat from './chat';
import uploadquestion from './onlive/uploadquestion';
import contact from './contact';
import news from './news';
import weixin from './weixin';
import * as ustate from '@/store/common/state';
import * as umutations from '@/store/common/mutations';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    login,
    market,
    marketproduct,
    expertsuser,
    maarkettype,
    authUser,
    dock,
    wxchattest,
    apply,
    transaction,
    expertsaudit,
    productpact,
    exportuser,
    user,
    dock,
    place,
    onliveUser,
    room,
    gensign,
    chat,
    quest,
    uploadquestion,
    contact,
    news,
    weixin,
  },
});
